Estornar cobrança
curl --request POST \
--url https://api.accithus.com/v1/charges/{id}/refund \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2,
"reason": "<string>"
}
'import requests
url = "https://api.accithus.com/v1/charges/{id}/refund"
payload = {
"amount": 2,
"reason": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 2, reason: '<string>'})
};
fetch('https://api.accithus.com/v1/charges/{id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submerchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "BRL",
"status": "pending",
"payment_method": "credit_card",
"product_type": "physical",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Cobranças
Estornar Cobrança
Estorna uma cobrança capturada. Opcionalmente, informe valor parcial e motivo.
POST
/
v1
/
charges
/
{id}
/
refund
Estornar cobrança
Authorizations
Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
Path Parameters
ID da cobrança (UUID)
Body
application/json